<?
header("Content-Type: application/xhtml+xml; charset=iso-8859-1");
use_helper('UrlFunctions');
$o_ObjectBean = new PrestamoBean();
  
$tamanioPag = 20;
//COLOCAR CAMPOS DE LA CABECERA DEL LISTADO  
//$o_ObjectBean->setIdMercado($cboMercado); 

//FILTRO MERCADO------------------------------------------------------------------------
//Obtener Sucursal------------------------------------
//Id del Administrador--------------------------------

if($cboSucursal){
	
	//Obtener el Administrador
	$o_SucursalBean = new SucursalBean();
	$o_SucursalBean->setIdSucursal($cboSucursal);
	$o_SucursalBL = new SucursalBL();
	$a_o_sucursal = $o_SucursalBL->busquedaSucursal($o_SucursalBean);

	if(is_array($a_o_sucursal)){
		foreach ($a_o_sucursal as $key => $o_sucursal){
			$IdAdministrador = $o_sucursal->getIdAdministrador();
		}
	}
		
	$o_ColaboradorBean = new ColaboradorBean();
	$o_ColaboradorBean->setIdPadre($IdAdministrador);
	$o_ColaboradorBL = new ColaboradorBL();	
	$a_o_Colaborador = $o_ColaboradorBL->busquedaColaborador($o_ColaboradorBean);
	if(is_array($a_o_Colaborador)){
		foreach ($a_o_Colaborador as $key => $o_colaborador){
			$a_Colaborador[] = $o_colaborador->getIdColaborador();
		}
	}
	//print_r($a_Colaborador);
	$o_ObjectBean->setFiltroSucursal($a_Colaborador);	
	
}
 
//----------------------------------------------------------------------------------

if($cboMercado     	!= ""){
	 $o_ObjectBean->setIdMercado($cboMercado);	 
}
if($cboRepresentante     	!= ""){
	 $o_ObjectBean->setIdColaboradorPrestamo($cboRepresentante);	 
}



if($txtNuemroPrestamo   !=""){ $o_ObjectBean->setIdPrestamo($txtNuemroPrestamo); }
if($cboEstadoPrestamo   !=""){ $o_ObjectBean->setEstado($cboEstadoPrestamo); }
if($txtNombre     		!="" && $cboTipoNombre == "AP"){ $o_ObjectBean->setApellidoPaterno($txtNombre); }
if($txtNombre     		!="" && $cboTipoNombre == "AM"){ $o_ObjectBean->setApellidoMaterno($txtNombre); }
if($txtNombre     		!="" && $cboTipoNombre == "NO"){ $o_ObjectBean->setNombres($txtNombre); }
if($vencido     									  ){ $o_ObjectBean->setVencido($vencido); }
if($flagreporte    									  ){ $o_ObjectBean->setFlagReporte($flagreporte); }
if($moroso     ){ $o_ObjectBean->setMoroso($moroso); }
if($cboOrigen  			!=""){ $o_ObjectBean->setOrigen($cboOrigen); }
if($txtNuemroCliente   !=""){ $o_ObjectBean->setIdCliente($txtNuemroCliente); }
if($txtFechaInicial   !=""){ $o_ObjectBean->setFechaInicio($txtFechaInicial); }
if($txtFechaFinal   !=""){ $o_ObjectBean->setFechaFinal($txtFechaFinal); }

if($flageliminado     ){
	$o_ObjectBean->setEliminado($flageliminado); 
	$sortCampos = 'FechaEliminado';
	$sortType='2';
}

$o_ObjectBean->page = $page;
$o_ObjectBean->tamPag = $tamanioPag;
$o_ObjectBean->sortCampos = $sortCampos;
$o_ObjectBean->sortType   = $sortType;
 
$o_class = new PrestamoBL();
$a_ObjectBean = $o_class->busquedaPrestamo($o_ObjectBean);  
$totalMonto = $o_class->getTotalMonto($o_ObjectBean);
$o_navigation = new navigation();
$o_navigation->setPaginaActual($page);
$o_navigation->setTamanioPagina($tamanioPag);
$o_navigation->setTotalRegistros($o_class->getCountResult($o_ObjectBean));
$valuesSort = array('sortCampos'=>$sortCampos, 'sortType'=>$sortType);



if(!$page) $page = 1;

ViewResponse::getInstance()->setMethodAjax();

?>
<script>
functionSort = function(campo, type){
  var typeSort      = "";
  var elmSortCampos = $('sortCampos');
  var elmSortType   = $('sortType');
  var a_sortCampos  = elmSortCampos.value!=""?elmSortCampos.value.split(";"):[];
  var a_sortType    = elmSortType.value!=""?elmSortType.value.split(";"):[];
  var pos           = a_sortCampos.indexOf(campo);
  switch (type){
     case 'A' :
       a_sortType[pos]    = "2";
     break;
     case 'D' :
       a_sortCampos = sliceByPos(a_sortCampos, pos);
       a_sortType   = sliceByPos(a_sortType, pos);
     break;
     default :
       a_sortCampos[a_sortCampos.length] = campo;
       a_sortType[a_sortType.length]     = "1";
     break;
  }
  var strSortCampos = a_sortCampos.join(";");
  var strSortType   = a_sortType.join(";");
  concatValueStr('sortCampos='+strSortCampos+'&sortType='+strSortType+"&page=<?=$page?>");
}
</script>

<?php

$strConcat = "sortCampos=".$valuesSort['sortCampos']."&sortType=".$valuesSort['sortType'];

function showImgOrder($valuesSort, $campo, $nameCampos){
  $a_valCampos = explode(";", $valuesSort['sortCampos']);
  $a_valtype   = explode(";", $valuesSort['sortType']);
  $sImg = "
            <a href=\"JavaScript:functionSort('".$campo."', '');\">".$nameCampos."</a>
            <img src=\"/images/common/buttons/arrow.gif\" alt=\"Ordenado Ascendente\" width=\"8\" height=\"10\" align=\"absmiddle\" />
          ";
  foreach ($a_valCampos as $key => $val){
    if($val == $campo){
      switch ($a_valtype[$key]){
        case 1:
          $sImg = "
                    <a href=\"JavaScript:functionSort('".$campo."', 'A');\">".$nameCampos."</a>
                    <img src=\"/images/common/buttons/arrow_up.gif\" alt=\"Ordenado Ascendente\" width=\"8\" height=\"10\" align=\"absmiddle\" />
                  ";
        break;
        case 2:
          $sImg = "
                    <a href=\"JavaScript:functionSort('".$campo."', 'D');\">".$nameCampos."</a>
                    <img src=\"/images/common/buttons/arrow_down.gif\" alt=\"Ordenado Ascendente\" width=\"8\" height=\"10\" align=\"absmiddle\" />
                  ";
        break;
      }
    }
  };
  return $sImg;
}
?>

<input type="hidden" id="sortCampos" size="100" value="<?=$valuesSort['sortCampos']?>">
<input type="hidden" id="sortType" size="100" value="<?=$valuesSort['sortType']?>">
      <table class="marco" border="0" cellpadding="0" cellspacing="0" width="100%">
        <tr>
          <td height="17" align="right" class="pager">
            <div id="contenedor">
              <? $o_navigation->ContruirHTMLNavigation('contenedor', $strConcat); ?>
            </div>
          </td>
        </tr>
        <tr>
          <td>
            <table class="grid" width="100%" border="0" cellpadding="0" cellspacing="0">
              <tr height="23">
               <!--<th width="4%" >Nro</th>-->
                 <th width="3%" >N.Clien</th>
                 <th width="3%" >N.Pre.</th>
                 <th width="21%" >Cliente&nbsp;</th>
			     <th width="3%" >F.Inicio</th>
				 <th width="3%" >F.Vencim.</th>
				 <th width="5%" >Capital </th>
                 <th width="3%" >Int.(%)</th>
                 <th width="4%" >M.Total&nbsp;</th>
                 <th width="4%" >M.Extra&nbsp;</th>
                 <th width="3%" >Saldo&nbsp;</th>
                 <th width="3%" >Max.Pago</th>
                 <th width="3%" >Estado &nbsp;&nbsp;&nbsp;</th>
                 <th width="3%" >P.Mora</th>
                 <th width="3%" id="col01" onMouseOver="sort_col(this);" >Usr.Creac.</th>
                 <th width="4%" id="col01" onMouseOver="sort_col(this);" >Fec.Creac.</th>     
                 
	             <?php if($flageliminado){?>
	                 <th width="3%" id="col01" onMouseOver="sort_col(this);" >Obs.</th>
	                 <th width="3%" id="col01" onMouseOver="sort_col(this);" >Usr.Elim.</th>
	                 <th width="4%" id="col01" onMouseOver="sort_col(this);" >Fec.Elim.</th>              
                 <?php }?>
                 
                <th width="8%">Opciones</th>
              </tr>
              <? if(count($a_ObjectBean)>0){ ?>
              <? foreach ($a_ObjectBean as $iKey => $o_objBean){ ?>
              <tr onClick="TR_click(this);">
                <td align="left"><?=$o_objBean->getIdCliente()?></td>
                <td align="center"><?=$o_objBean->getIdPrestamo()?></td>
                <td align="left"><?=ucwords(strtolower($o_objBean->getObjectCliente()->getNombreCompleto()))?></td>
                <td><?=$o_objBean->getFechaInicio()?></td>
                <td><?=$o_objBean->getFechaVencimiento()?></td>  
				<td align="center"><?=number_format($o_objBean->getMontoPrestado(),2)?></td>
				<td align="center"><?=$o_objBean->getInteresPorcentaje()?></td>
				<td align="center"><?=number_format($o_objBean->getMontoTotal(),2)?></td>
				<td align="center"><?=number_format($o_objBean->getMontoExtra(),2)?></td>
				<td align="right"><?php echo number_format($o_objBean->getSaldoPrestamo(),2);$total_saldo += round($o_objBean->getSaldoPrestamo(),2);?></td>
				<td align="center" style="color:#CA290D;"><?=number_format($o_objBean->getMaxPago(),2)?></td>
				<td align="center"><?if($o_objBean->getEstado()=='P'){echo Pendiente;} elseif($o_objBean->getEstado()=='C') {echo Cancelado;}?></td>
				<td align="center"><?php
						$o_PagoBean = new PagoBean();
	                    $o_PagoBean->setIdPrestamo($o_objBean->getIdPrestamo());
	                    $o_PagoBean->setTipo('2');
	                    $o_PagoDP = new PagoDP($o_PagoBean);
	                    $MontoPago = '0';
	                    $a_o_PagoDP = $o_PagoDP->select();
	                    if(is_array($a_o_PagoDP)){
	                    	foreach ($a_o_PagoDP as $key => $o_PagoDP){
	                    		$MontoPago += $o_PagoDP->getMontoPago();
	                    	}
							
	                    }
	                    echo number_format($MontoPago,2,'.','');
				?></td>
                <td align="center"><?=ucwords(strtolower($o_objBean->getUsuarioCreacion()))?></td>
                <td align="center"><?=$o_objBean->getFechaCreacion(date("Y-m-d"))?></td>
                 <?php if($flageliminado){?>
                
                	<td align="center"><?=ucwords(strtolower($o_objBean->getObservacion()))?></td>
                	<td align="center"><?=ucwords(strtolower($o_objBean->getUsuarioEliminado()))?></td>
              		<td align="center"><?=$o_objBean->getFechaEliminado()?></td>
                 <?php }?>
                <td align="center" valign="top">
                	<?php 
                	$o_sucursalmercadoBean = new SucursalMercadoBean();
                	$o_sucursalmercadoBean->setIdMercado($o_objBean->getIdMercado());
                	$o_sucursalmercadoDP = new SucursalMercadoDP($o_sucursalmercadoBean);
                	$a_o_sucursalmercadoDP = $o_sucursalmercadoDP->select();
                	foreach ($a_o_sucursalmercadoDP as $keyM => $o_sucursalmercado){
                		$IdSucursal = $o_sucursalmercado->getIdSucursal();
                	}
                	$o_BalanceDia = new BalanceDiaBean();
					$o_BalanceDia->setIdSucursal($IdSucursal);
					$o_BalanceDia->setFechaBalance($o_objBean->getFechaInicio());
					$o_BalanceDia->setFechaBalanceFinal($o_objBean->getFechaInicio());
					$o_BalanceDiaDP = new BalanceDiaDP($o_BalanceDia);
					$a_o_balance = $o_BalanceDiaDP->select();
    					            
    				if($o_objBean->getEstado()=="P" && $o_objBean->getSaldoMora() > 0 && myUser::getUser()->getRoleId() == "sys.gen"){?>	    
						<img src="/images/common/buttons/border-color.png" title="Cancelar Prestamo Moroso" onclick="objMainTab.modalDialog('<?=buildUrl('pre/cancelarPrestamoMoroso/id/'.$o_objBean->getIdPrestamo());?>',{title:'',width:710,height:410})" style="cursor:pointer" />        	
					<?php }
					?>	
					<img src="/images/common/buttons/btnPdf.gif" title="Exportar a PDF" onClick="parent.objMainTab.reqBody('<?=buildUrl('pre/pdf_pre/id/'.$o_objBean->getIdPrestamo());?>','001');";" style="cursor:pointer" />
					<img src="/images/common/buttons/btnReview.gif" title="Mostrar Estado Cuenta" style="cursor:pointer;" onclick="parent.objMainTab.modalDialog('<?=buildUrl('pre/estado_cuenta/id/'.$o_objBean->getIdPrestamo());?>',{title:'',width:710,height:680})">
					<img src="/images/common/buttons/btnReview.gif" title="Mostrar Prestamo" style="cursor:pointer;" onclick="parent.objMainTab.modalDialog('<?=buildUrl('pre/show/id/'.$o_objBean->getIdPrestamo());?>','block=001')">&nbsp;
					<?if(!$flageliminado){?>
					<input type="image" name="Editar" src="/images/common/buttons/btnEdit.gif" title="No Mostrar prestamo Reporte" onclick="parent.objMainTab.modalDialog('<?=buildUrl('pre/edit_ext_gen/id/'.$o_objBean->getIdPrestamo())?>','block=001')">&nbsp;
					<? }?>
					<?php
					if(!$flageliminado){
					if(!is_array($a_o_balance) && count($a_o_balance) == 0){?>
				 		<input type="image" name="Editar" src="/images/common/buttons/btnEdit.gif" title="Editar Prestamo" onclick="parent.objMainTab.modalDialog('<?=buildUrl('pre/edit_gen/id/'.$o_objBean->getIdPrestamo())?>','block=001')">&nbsp;
				   <?php 
					}else{
				   ?>
					   <img name="Editar" src="/images/common/buttons/btnEdit.gif" title="No Permitido">&nbsp;
					   <img name="add" title="No Permitido" src="/images/common/buttons/btnMoney.gif" style="cursor:pointer">&nbsp;
					   <img name="Eliminar" src="/images/common/buttons/btnDelete.gif" title="No Permitido">
				   <?php 
					}
					?>
					<img name="add" title="Editar Pagos" src="/images/common/buttons/btnMoney.gif" onClick="parent.objMainTab.reqBody('<?=buildUrl('pre/editpay/id/'.$o_objBean->getIdPrestamo());?>','001');";" style="cursor:pointer">&nbsp;<input type="image" name="Eliminar" src="/images/common/buttons/btnDelete.gif" title="Eliminar Prestamo" onclick="deleteRegistro('<?=$o_objBean->getIdPrestamo()?>','<?=$o_objBean->getIdPrestamo()?>')">
					<?php
					}
				   ?>
                </td>
              </tr>
              <? } ?>
              <tr>
              	<td colspan="8" align="right"><b><?php echo number_format($totalMonto,2)?></b></td>
              </tr>
              <? }else{ ?>
              <tr>
                <td colspan="7" align="center">No se produjo resultado</td>
              </tr>
              <? } ?>
            </table>
          </td>
        </tr>
        <tr>
          <td>Total Registros: <?=count($a_ObjectBean)?></td>
        </tr>
      </table>